> ## Documentation Index
> Fetch the complete documentation index at: https://docs.demo.descriptor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Analysis Result

> Retrieve the analysis results for a given result_id



## OpenAPI

````yaml get /api/v1/offline/processing/{result_id}
openapi: 3.1.0
info:
  title: M-Path
  description: Automatic Speech Recognition and Voice Emotion Recognition
  version: dev
servers: []
security: []
paths:
  /api/v1/offline/processing/{result_id}:
    get:
      tags:
        - Processing
      summary: Get Analysis Result
      description: Retrieve the analysis results for a given result_id
      operationId: get_analysis_result
      parameters:
        - name: result_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Result'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
        '425':
          description: Too Early
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
      security:
        - HTTPBearer: []
components:
  schemas:
    Result:
      type: object
      properties:
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
          description: Current status of the analysis
        progress:
          type: number
          minimum: 0
          maximum: 100
          description: Processing progress percentage
        result:
          type: object
          description: Analysis results when processing is complete
        error:
          type: string
          description: Error message if processing failed
    ErrorModel:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````